Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TimeBaseC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for TimeBaseC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TimeBase
namespace | TAO
## Classes
struct | TimeBase::UtcT
| A timestamp in UTC time. More...
struct | TimeBase::IntervalT
| An UTC time interval. More...
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Typedefs
typedef CORBA::ULongLong_out | TimeT_out
typedef TimeT_out | InaccuracyT_out
typedef CORBA::Short_out | TdfT_out
typedef TAO_Fixed_Var_T< UtcT > | UtcT_var
typedef UtcT & | UtcT_out
typedef TAO_Fixed_Var_T< IntervalT > | IntervalT_var
typedef IntervalT & | IntervalT_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::IntervalT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::IntervalT &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TimeT_out TimeBase::InaccuracyT_out

typedef IntervalT& TimeBase::IntervalT_out

typedef TAO_Fixed_Var_T< IntervalT > TimeBase::IntervalT_var

typedef CORBA::Short_out TimeBase::TdfT_out

typedef CORBA::ULongLong_out TimeBase::TimeT_out

typedef UtcT& TimeBase::UtcT_out

typedef TAO_Fixed_Var_T< UtcT > TimeBase::UtcT_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::UtcT & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::UtcT & |
| ) |